> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate License

> Activate a license key.

Activates the provided license key with Keygen and updates
tenant settings with the new limits and features.

Only owners can activate licenses.



## OpenAPI

````yaml /api-reference/openapi.json post /api/license/activate
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/license/activate:
    post:
      tags:
        - license
      summary: Activate License
      description: |-
        Activate a license key.

        Activates the provided license key with Keygen and updates
        tenant settings with the new limits and features.

        Only owners can activate licenses.
      operationId: activate_license_api_license_activate_post
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LicenseActivateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LicenseActivateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LicenseActivateRequest:
      properties:
        license_key:
          type: string
          maxLength: 2048
          minLength: 10
          title: License Key
      additionalProperties: false
      type: object
      required:
        - license_key
      title: LicenseActivateRequest
      description: Request to activate a license key.
    LicenseActivateResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          type: string
          title: Message
        license:
          $ref: '#/components/schemas/LicenseStatusRead'
      type: object
      required:
        - success
        - message
        - license
      title: LicenseActivateResponse
      description: Response after license activation.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LicenseStatusRead:
      properties:
        is_valid:
          type: boolean
          title: Is Valid
        is_expired:
          type: boolean
          title: Is Expired
        status:
          type: string
          title: Status
        license_type:
          anyOf:
            - type: string
            - type: 'null'
          title: License Type
        plan_tier:
          type: string
          title: Plan Tier
          default: trial
        license_key:
          anyOf:
            - type: string
            - type: 'null'
          title: License Key
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        days_remaining:
          anyOf:
            - type: integer
            - type: 'null'
          title: Days Remaining
        features:
          additionalProperties:
            type: boolean
          type: object
          title: Features
        limits:
          additionalProperties:
            anyOf:
              - type: integer
              - type: 'null'
          type: object
          title: Limits
        usage:
          additionalProperties:
            type: integer
          type: object
          title: Usage
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - is_valid
        - is_expired
        - status
      title: LicenseStatusRead
      description: Current license status and features.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````